| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
cpu_c.c File Reference
`#include <cpu.h>`
`#include <cpu_core.h>`
`#include <lib_def.h>`

Go to the source code of this file.

## Macros
#define | CPU_INT_SRC_POS_MAX ((((CPU_REG_NVIC_NVIC + 1) & 0x1F) * 32) + 16)
#define | CPU_BIT_BAND_SRAM_REG_LO 0x20000000
#define | CPU_BIT_BAND_SRAM_REG_HI 0x200FFFFF
#define | CPU_BIT_BAND_SRAM_BASE 0x22000000
#define | CPU_BIT_BAND_PERIPH_REG_LO 0x40000000
#define | CPU_BIT_BAND_PERIPH_REG_HI 0x400FFFFF
#define | CPU_BIT_BAND_PERIPH_BASE 0x42000000

## Functions
void | CPU_BitBandClr (CPU_ADDR addr, CPU_INT08U bit_nbr)
void | CPU_BitBandSet (CPU_ADDR addr, CPU_INT08U bit_nbr)
void | CPU_IntSrcDis (CPU_INT08U pos)
void | CPU_IntSrcEn (CPU_INT08U pos)
void | CPU_IntSrcPendClr (CPU_INT08U pos)
void | CPU_IntSrcPrioSet (CPU_INT08U pos, CPU_INT08U prio)
CPU_INT16S | CPU_IntSrcPrioGet (CPU_INT08U pos)

## Macro Definition Documentation

#define CPU_BIT_BAND_PERIPH_BASE 0x42000000

Definition at line 68 of file cpu_c.c.

#define CPU_BIT_BAND_PERIPH_REG_HI 0x400FFFFF

Definition at line 67 of file cpu_c.c.

#define CPU_BIT_BAND_PERIPH_REG_LO 0x40000000

Definition at line 66 of file cpu_c.c.

#define CPU_BIT_BAND_SRAM_BASE 0x22000000

Definition at line 63 of file cpu_c.c.

#define CPU_BIT_BAND_SRAM_REG_HI 0x200FFFFF

Definition at line 62 of file cpu_c.c.

#define CPU_BIT_BAND_SRAM_REG_LO 0x20000000

Definition at line 61 of file cpu_c.c.

#define CPU_INT_SRC_POS_MAX ((((CPU_REG_NVIC_NVIC + 1) & 0x1F) * 32) + 16)

Definition at line 59 of file cpu_c.c.

## Function Documentation

void CPU_BitBandClr | ( | CPU_ADDR | addr,
|  | CPU_INT08U | bit_nbr
| ) |  |

Definition at line 132 of file cpu_c.c.

void CPU_BitBandSet | ( | CPU_ADDR | addr,
|  | CPU_INT08U | bit_nbr
| ) |  |

Definition at line 175 of file cpu_c.c.

void CPU_IntSrcDis | ( | CPU_INT08U | pos | ) |

Definition at line 249 of file cpu_c.c.

void CPU_IntSrcEn | ( | CPU_INT08U | pos | ) |

Definition at line 338 of file cpu_c.c.

void CPU_IntSrcPendClr | ( | CPU_INT08U | pos | ) |

Definition at line 437 of file cpu_c.c.

CPU_INT16S CPU_IntSrcPrioGet | ( | CPU_INT08U | pos | ) |

Definition at line 644 of file cpu_c.c.

void CPU_IntSrcPrioSet | ( | CPU_INT08U | pos,
|  | CPU_INT08U | prio
| ) |  |

Definition at line 509 of file cpu_c.c.